const path = require("path");

module.exports = {
    entry:'./main',
    output:{
        filename:'bundle.js',
        path:path.resolve(__dirname,'./dist'),
    },
    resolve:{
        //先尝试ts,tsx 后缀的 TypeScript 源码文件
        extensions:['.ts','.js']
    },
    module:{
        rules:[
            {
                test:/\.ts$/,
                loader:'awesome-typescript-loader'
            }
        ]
    }
}